function Sb = bret_schneider(Hsig,wsig,resolution,plotflag)
% Hsig          Signifianc wavehight
% wsig          Significant frequency
% plotflag      Plot the spectrum or not

if nargin<4||isempty(plotflag)
   plotflag=0;
end

if nargin<3||isempty(resolution)
   resolution = 1/0.01;
end

% define what frequency on is lookin through
wvec = [6.28/resolution:(6.28/resolution):6.28];

for k = 1:length(wvec)
    w = wvec(k);
    S(k) = 5/16 * wsig^4 / w^5 * Hsig^2 * exp(-5 * wsig^4 / 4 / w^4);
end
Sb = createspec;
Sb.w = wvec;
Sb.S = S;
Sb.resolution = length(Sb.S);
Sb.type = 'Bretschneider Sea Wave Spectra';

if plotflag
    plot_spec(Sb)
end
end
