 function [id,iq] = calculate_currents(we,gen)

we = 1200*2*pi/60*gen.pp;

A = sign(we);
we = abs(we);


% coordinates of center of the voltage circle

idc = -we^2*gen.L*gen.Psi/(gen.R^2 + we^2*gen.L^2);
iqc = -we*gen.R*gen.Psi/(gen.R^2 + we^2*gen.L^2);

% Now define id as a function of these
% a*ids^2 + b*ids + c = 0

a = 4*(idc^2 + iqc^2);
b = 4*idc*(gen.umax^2 / (gen.R^2 + we^2*gen.L^2) - (gen.imax^2 + idc^2 + iqc^2));
c = ((gen.imax^2 + idc^2 + iqc^2) - (gen.umax^2 / (gen.R^2 + we^2*gen.L^2)))^2  - 4*iqc^2*gen.imax^2;

if (b^2-4*a*c < 0)
    id = 0;
    iq = gen.imax;
    return;
end


% calculate id1 and id2
id1 = (-b-sqrt(b^2-4*a*c))/(2*a);
id2 = (-b+sqrt(b^2-4*a*c))/(2*a);

% check if id1 > 0
if id1>0
    idu = 0;
    iqu = gen.imax;
else
    idu = id1;
    iqu = sqrt(gen.imax^2 - id1^2);
end

% check if id2 > 0
if id2>0
    idl = 0;
    iql = -gen.imax;
else
    idl = id2;
    iql = -sqrt(gen.imax^2 - id1^2);
end

if A 
    id = idu;
    iq = iqu;
else
    id = udl;
    iq = iql;
end
 end
