
%% main script
clear all;
close all;
%%

%load wave_irregular_1.mat
load hydrodynamics
load SS_exc.mat
load SS_rad.mat
%%

Hsig = 1.25;            % Decide Hsig

Tp =5.5;                % Decide Peak period

wp = 2*pi/Tp;           
time = 300;             % Time of simualtion
resolution = time*1.25;       % Needs to be equal to or larger thab siulation time
%%


% First, a Bretschneider spectra is generated. spec is a struct containg
% the energy bretshneider energy spectrum for the given paramteres
spec = bret_schneider(Hsig,wp,resolution,0);

% This spec is then used to generate a wave elevation time series
timeseries_bret = time_series(spec,time,1);   
wave_irregular = [timeseries_bret.time',timeseries_bret.T']; 
% -sDrive_train -deps -r300 Drive_train.eps

gen = construct_gen();
sys_par = construct_sys;

%%
Rl = 9e4;       % Decide on control parameteres
Ll = 0;


%%


% Rl = 1.2e5;
% 
% 
% tout = sim('skalert_model.mdl');
% 
% [Twave,Texc] = get_periods(timeseries_bret,Fe_passive)

% need to define PI controller parameters

% K = 1;
% Ti = gen.L/gen.R;
% 
% max(Pav_el.signals.values)
% max(Pav_mech.signals.values)


% h_0 = tf([0 1/gen.R], [gen.L/gen.R 1]);
% h_pi = tf([K*Ti K], [Ti 0]);
% 
% h_res = minreal(h_0*h_pi)

% tout = sim('HD_PMSG.mdl');
% 
% %% Now to plot a few things
% % First the input irregular wave
% figure(1)
% plot(tout,wave_passive,'linewidth',2)
% grid on;
% xlabel('Time [s]')
% ylabel('Wave elevation [m]')
% title('Wave elevation time series')
% 
% %% Now the device velocity
% figure(2)
% plot(tout,device_velocity_passive,'linewidth',2)
% grid on;
% xlabel('Time [s]')
% ylabel('Device velocity [m/s]')
% %% Now plot the angular velocity
% figure(3)
% plot(tout,wg_rpm,'linewidth',2)
% grid on;
% xlabel('Time [s]')
% ylabel('mechanical speed')
% %% Device mechanical and electrical torque
% figure(4)
% 
% plot(tout,Tm,'r','linewidth',2.5)
% plot(tout,Te,'linewidth',2)
% xlabel('Time [s]')
% ylabel('Torque [Nm]')
% grid on
% 
% % Three-phase voltage on the machine side
% figure(5)
% 
% plot(tout,Ua.signals.values,'linewidth',1)
% xlabel('Time [s]')
% ylabel('Phase voltage [V]')
% grid on;
% 
% % phase current on the machine side
% figure(6)
% 
% plot(tout,Ia.signals.values,'linewidth',1)
% xlabel('Time [s]')
% ylabel('Phase current [A]')
% grid on;
% 
% %close all;
% 
% figure(7)
% plot(tout,Pmech/1e3,'linewidth',2)
% xlabel('Time [s]')
% ylabel('Mechanical power [kW] [A]')
% grid on;
% 
% figure(8)
% plot(tout,Pel/1e3,'linewidth',2)
% xlabel('Time [s]')
% ylabel('Electrical power [kW] [A]')
% grid on;
% 
% %close all;
% 
% figure(9)
% plot(tout,Emech/1e3,'r','linewidth',2)
% hold on;
% plot(tout,Eel/1e3,'b','linewidth',2)
% grid on;
% hold off
% xlabel('Time [s]')
% ylabel('Energy [kJ]')
% 
% figure(10)
% plot(tout,Fl_passive/1e3,'linewidth',2)
% grid on;
% hold off
% xlabel('Time [s]')
% ylabel('Fl [kN]')
% 
% close all;