

% print -to_pic -deps -r300 full_contr_mdl.eps

figure(1)
for k = 1:length(TS_scope.time)
    vel_sat(k)=169.5;
    vel_red(k) = 479;
end


subplot(2,1,1)
plot(TS_scope.time,TS_scope.signals(:,1).values,'linewidth',1.5)
grid on;
xlabel('Time [s]')
ylabel(' Generator speed []')
hold all
plot(TS_scope.time,vel_sat,'r','linewidth',1.5)
%plot(TS_scope.time,-vel_sat,'r','linewidth',1.5)
plot(TS_scope.time,vel_red,'k','linewidth',1.5)
%plot(TS_scope.time,-vel_red,'k','linewidth',1.5)



subplot(2,1,2)
plot(TS_scope.time,TS_scope.signals(:,2).values/1e3,'r','linewidth',1.5)
grid on;
xlabel('Time [s]')
ylabel('Force [kN]')

figure(2)
plot(powerdata.time,powerdata.signals(:,1).values/1e3,'linewidth',1.6)
hold on
plot(powerdata.time,powerdata.signals(:,3).values/1e3,'r','linewidth',1.6)
plot(powerdata.time,powerdata.signals(:,2).values/1e3,'g','linewidth',1.6)
xlabel('Time [s]')
ylabel('Power [kW]')
grid on;
axis([0 300 -1.5e1 2e2])

figure(3)
subplot(3,1,1)
plot(powerdata.time,powerdata.signals(:,1).values/1e3,'linewidth',1.75)
grid on;
xlabel('Time [s]')
ylabel('Mechanical power [kW]')
axis([0 300 -1.5e1 2e2])


subplot(3,1,2)
plot(powerdata.time,powerdata.signals(:,3).values/1e3,'r','linewidth',1.75)
grid on;
xlabel('Time [s]')
ylabel('Total Losses [kW]')
axis([0 300 -1.5e1 2e2])

subplot(3,1,3)
plot(powerdata.time,powerdata.signals(:,2).values/1e3,'g','linewidth',1.75)
grid on;
xlabel('Time [s]')
ylabel('Output Electrical Power [kW]')
axis([0 300 -1.5e1 2e2])

figure(4)
plot(Fe_passive.time,Fe_passive.signals.values/1e3,'linewidth',1.5)
xlabel('Time [s]')
ylabel('Fe [kN]')
grid on

figure(5)
plot(hydrodynamics.T,hydrodynamics.X(:,3,3),'r','linewidth',2)
grid on;
xlabel('Period [s]')
ylabel('Exciation Force coefficient [N/m]')

figure(6)
hold on
plot(TS_scope.time,TS_scope.signals(:,1).values / max(TS_scope.signals(:,1).values),'linewidth',1.5)
grid on;

plot(ScopeData5.time,ScopeData5.signals(:,3).values / max(ScopeData5.signals(:,3).values),'r','linewidth',1.5)
axis([0 300 -1.1 1.1])
xlabel('Time [s]')
ylabel('Load Force / Generator speed [pu]')

figure(7)
hold on
plot(TS_scope.time,TS_scope.signals(:,1).values / max(TS_scope.signals(:,1).values),'linewidth',1.5)
grid on;

plot(Fe_passive.time,Fe_passive.signals.values / max(abs(Fe_passive.signals.values)),'r','linewidth',2)
xlabel('Time [s]')
ylabel('Exciation Force / Generator speed [pu]')